# Server DNC: serveur.Log.SingleLevelFilter Class Reference

serveur.Log.SingleLevelFilter Class Reference

Filter for one level. More...

Inheritance diagram for serveur.Log.SingleLevelFilter:

## Public Member Functions

def | __init__ (self, passlevel, reject)
| Constructor. More...
def | filter (self, record)

## Data Fields

| passlevel
| reject

## Detailed Description

Filter for one level.

## Constructor & Destructor Documentation

def serveur.Log.SingleLevelFilter.__init__ | ( |  | self,
|  |  | passlevel,
|  |  | reject
| ) |  |

Constructor.

Parameters

  passlevel | level to filter
  reject | true on reject state

## Member Function Documentation

def serveur.Log.SingleLevelFilter.filter | ( |  | self,
|  |  | record
| ) |  |

## Field Documentation

serveur.Log.SingleLevelFilter.passlevel

serveur.Log.SingleLevelFilter.reject

The documentation for this class was generated from the following file:

- Log.py